### File

`packages/ecl/components/ecl-news-ticker/ecl-news-ticker-item.component.ts`

### Extends

`ECLBaseDirective`

### Implements

`AfterContentInit` `OnDestroy`

### Metadata

selector | `ecl-news-ticker-item`
templateUrl | `./ecl-news-ticker-item.component.html`

### Index

###### Properties
eclLink Public el role
###### Methods
getCssClasses
###### Inputs
class e2eAttr tabindex
###### Outputs
itemFocused
###### HostBindings
attr.aria-hidden attr.inert attr.role class
###### Accessors
cssClasses isCurrent isAriahidden isInert

### Constructor

`constructor(el: ElementRef)`
Parameters :
Name | Type | Optional
el | `ElementRef` | No

### Inputs

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### Outputs

itemFocused
Type : `EventEmitter`
Emitted when the internal link receives focus (used to cancel autoplay).

### HostBindings

attr.aria-hidden
Type : `boolean`
Sets `aria-hidden` based on current slide visibility.

attr.inert
Type : `boolean`
Sets `inert` attribute when the item is not current (prevents interaction).

attr.role
Type : `string`
Default value : `'listitem'`
Declares ARIA role as list item for accessibility.

class
Type : `string`
HostBinding to set the component’s CSS classes.

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

eclLink
Type : `EclLinkDirective`
Decorators : `@ContentChild(EclLinkDirective)`
Optional projected `ecl-link` element within the news ticker item.

Public el
Type : `ElementRef`

role
Type : `string`
Default value : `'listitem'`
Decorators : `@HostBinding('attr.role')`
Declares ARIA role as list item for accessibility.

### Accessors

cssClasses
get `cssClasses()`
HostBinding to set the component’s CSS classes. Returns : `string`

isCurrent
get `isCurrent()`
Whether this slide is currently visible. Returns : `boolean`
set `isCurrent(value: boolean)`
Parameters :
Name | Type | Optional
value | `boolean` | No
Returns : `void`

isAriahidden
get `isAriahidden()`
Sets `aria-hidden` based on current slide visibility. Returns : `boolean`

isInert
get `isInert()`
Sets `inert` attribute when the item is not current (prevents interaction). Returns : `boolean`

# results matching ""

# No results matching ""